RTP sessions.

## Classes

class | TRTPSessionBase< RTPDataChannel, RTCPChannel, ServiceQueue >
class | SingleThreadRTPSession< RTPDataChannel, RTCPChannel, ServiceQueue >
class | RTPSessionBase
| RTP protocol stack based on Common C++. More...

## Typedefs

typedef SingleThreadRTPSession | RTPSession
| UDP/IPv4 RTP Session scheduled by one thread of execution. More...
typedef RTPSession | RTPSocket
typedef SingleThreadRTPSession< SymmetricRTPChannel, SymmetricRTPChannel > | SymmetricRTPSession
| Symmetric UDP/IPv4 RTP session scheduled by one thread of execution. More...

## Detailed Description

## Typedef Documentation

## RTPSession

RTPSession

UDP/IPv4 RTP Session scheduled by one thread of execution.

Uses two pairs of sockets for RTP data and RTCP transmission/reception.

Examples
  audiorx.cpp, audiotx.cpp, ccrtptest.cpp, rtphello.cpp, rtplisten.cpp, and rtpsend.cpp.

## RTPSocket

RTPSocket

Alias for RTPSession.

## SymmetricRTPSession

SymmetricRTPSession

Symmetric UDP/IPv4 RTP session scheduled by one thread of execution.

Uses one pair of sockets, (1) for RTP data and (2) for RTCP transmission/reception.